6.0.0-git
2021-01-18

[#4338] SMB Authentication
Summary SMB Authentication
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester larry (at) wimble (dot) biz
Created 2006-08-25 (5260 days ago)
Due 07/31/2006 (5285 days ago)
Updated 2006-11-16 (5177 days ago)
Assigned
Resolved 2006-11-16 (5177 days ago)
Milestone
Patch No

History
2006-11-16 20:14:28 Chuck Hagenbuch Comment #6
State ⇒ Resolved
Due ⇒ 2006-07-31
Reply to this comment
I've gone ahead and added this as a new driver (smbclient), since it's 
nice to have a non-extension implementation. Also the extension's site 
is back, and I've updated the link for it.
2006-10-10 13:19:56 Jan Schneider Comment #5 Reply to this comment
Are you going to update the patch?
2006-08-28 13:37:34 Jan Schneider Comment #4 Reply to this comment
Since some people might still have that extension installed, and the 
site might come back one day too, I suggest that you make the 
smbclient parameter optional and still use the smbauth extension (if 
it is available), it the client is not provided.
2006-08-28 13:32:52 larry (at) wimble (dot) biz Comment #3
New Attachment: new_smb_auth.diff Download
Reply to this comment
There is no patch attached.
OOps ... Sorry.  It's attached this time.



Larry Wimble


2006-08-28 10:59:39 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
There is no patch attached.
2006-08-25 21:05:38 larry (at) wimble (dot) biz Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ SMB Authentication
Due ⇒ 2006-08-25
Queue ⇒ Horde Framework Packages
Reply to this comment
It seemed that SMB authentication was broken, and also requires a PHP 
extension (smbauth) which is not a part of the PHP distro, and is also 
no longer available from www.tekrat.com (Webserver has been down for 
more than a week).



I have modified the SMB authentication code to work using a local copy 
of smbclient.  Currently, it only allows you to authenticate a 
connection to the specified domain.   If there's any interest, I may 
modify it in the future to authenticate against specific resources 
(i.e., user must have at LEAST read privileges of 
//fileserver/someshare)



The attached patch is actually two patches concatenated together.  The 
first is for framework/Auth/Auth/smb.php.  The second is for 
horde/config/conf.xml.



Comments and criticism welcome.

Saved Queries